<?php
// Heading
$_['heading_title'] = 'Fidelipay';

// Text
$_['text_edit'] = "Edit Fidelipay Settings";
$_['text_payment']    = 'Payment';
$_['text_success']    = 'Success: You have modified Fidelipay account details!';
$_['text_fidelipay'] =
	'<a onclick="window.open(\'https://fidelipay.co.uk/\');"><img src="view/image/payment/fidelipay.png" alt="Fidelipay" title="Fidelipay" style="border: 1px solid #EEEEEE;" /></a>';

// placeholders
$_['text_merchantid']       = "Enter the merchant ID provided by Fidelipay MMS, use 101093 for testing";
$_['text_merchantsecret']   = "Enter the merchant secret provided by Fidelipay MMS, use Custom29Simple14Marker for testing";
$_['text_currencycode']     = "Enter the merchant account currency code, use 826 for GBP";
$_['text_countrycode']     = "Enter the merchant account Country code, use 826 for GBP";

// Entrys
$_['entry_merchantid']     = 'Merchant ID:';
$_['entry_merchantsecret'] = 'Merchant Secret:';
$_['entry_countrycode']    = 'Country Code';
$_['entry_currencycode']   = 'Currency Code';
$_['entry_form_responsive'] = 'Allows the hosted form to be responsive to the customer\'s browser';

$_['entry_order_status'] = 'Order Status:';
$_['entry_geo_zone']     = 'Geo Zone:';
$_['entry_status']       = 'Fidelipay On/Off:';
$_['entry_sort_order']   = 'Sort Order:';

// Errors
$_['error_permission']     = 'Warning: You do not have permission to modify payment Fidelipay!';
$_['error_data']           = 'Please correct the errors shown below';
$_['error_merchantid']     = 'Merchant ID must be a number and not left empty';
$_['error_merchantsecret'] = 'Merchant Secret Required!';
$_['error_countrycode']    = 'Valid country code required - must be numeric';
$_['error_currencycode']   = 'Valid currency code required - must be numeric';

// module type switch information
$_['entry_module_type']         = 'Integration Method';
$_['entry_module_hosted']  = 'Hosted Form (offsite)';
$_['entry_module_iframe']  = 'Hosted Form (onsite)';
$_['entry_module_direct']  = 'Direct';
$_['error_direct_ssl_required'] = 'To use Fidelipay Direct you must have a SSL Certificate installed, this is due to PCI compliance requirements';



